Metaproperty options

Retrieve options by ids

get
https://{your-bynder-domain}/api/v4/metaproperties/options

Query Parameters

idsstringrequired

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

Response

application/json

A list of options

get/api/v4/metaproperties/options
 
application/json

Retrieve options for a metaproperty

get
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options

Query Parameters

namestring

Example:Amsterdam

limitinteger

Default:50

<= 1000

Example:250

pageinteger

Default:1

Example:1

externalReferencestring

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

application/json

Successful response

activeinteger

Example:1

datestring(date-time)

Example:2017-02-15T14:54:58+00:00

displayLabelstring

Example:Yellow

idstring

Example:00000000-0000-0000-0000000000000000

labelstring

Example:Yellow

labelsobject
Show Child Parameters
namestring

Example:yellow

get/api/v4/metaproperties/{id}/options
 
application/json

Create option

Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.

post
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
datastring

JSON-serialised string

Example:{"name": "BlueType", "externalReference": "Reference number 1", "label": "Blue", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isSelectable": true, "parentId": "00000000-0000-0000-0000000000000000", "options": [{"name": "BlueType", "label": "Blue", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isSelectable": true, "parentId": "00000000-0000-0000-0000000000000000"}]}

Response

application/json

Created

idstring

Example:00000000-0000-0000-0000000000000000

messagestring

Example:Created

statuscodeinteger

Example:201

post/api/v4/metaproperties/{id}/options

Body

{}
 
application/json

Delete option

delete
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options/{optionId}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

optionIdstringrequired

Example:00000000-0000-0000-0000000000000000

Response

application/json

No Content

delete/api/v4/metaproperties/{id}/options/{optionId}
 
application/json

Modify option

Modify a specific option.

post
https://{your-bynder-domain}/api/v4/metaproperties/{id}/options/{optionId}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

optionIdstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
datastring

JSON-serialised string

Example:{"label": "Blue", "externalReference": "Reference number 1", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isSelectable": true, "parentId": "00000000-0000-0000-0000000000000000"}

Response

application/json

Created

messagestring

Example:Created

statuscodeinteger

Example:201

post/api/v4/metaproperties/{id}/options/{optionId}

Body

{}
 
application/json